import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
export declare class IdentityClientsUpdatePropertyCreateComponent {
    private nzMessageService;
    private translateService;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    clientId: string;
    ok: EventEmitter<void>;
    propertyCreating: boolean;
    formGroup: FormGroup;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    handleOk(): void;
    handleCancel(): void;
    handleAfterClose(): void;
}
